{
  "name": "aida",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "serve": "vite",
    "build": "vite build",
    "preview": "vite preview --port 8080 --host 0.0.0.0",
    "serve:test": "vite --mode test",
    "build:test": "vite build --mode test_build",
    "serve:dev": "vite --mode dev",
    "build:dev": "vite build --mode dev_build",
    "lint": "eslint src --ext .js,.ts,.vue --fix"
  },
  "dependencies": {
    "@ans1998/vue3-color": "^3.0.7",
    "@flaticon/flaticon-uicons": "^2.4.0",
    "@types/fingerprintjs2": "^2.0.0",
    "ant-design-vue": "^3.2.12",
    "axios": "^1.4.0",
    "core-js": "^3.8.3",
    "driver.js": "^1.3.1",
    "echarts": "^5.5.1",
    "element-plus": "^2.4.2",
    "fabric-with-all": "^5.3.1",
    "file-saver": "^2.0.5",
    "fingerprintjs2": "^2.1.4",
    "gsap": "^3.12.5",
    "html2canvas": "^1.4.1",
    "jszip": "^3.10.1",
    "md5": "^2.3.0",
    "quantize": "^1.0.2",
    "sortablejs": "^1.15.0",
    "swiper": "^11.1.4",
    "three": "^0.148.0",
    "vue": "^3.2.13",
    "vue-class-component": "^8.0.0-0",
    "vue-cropper": "^1.0.5",
    "vue-draggable-plus": "^0.6.0",
    "vue-i18n": "^9.6.1",
    "vue-router": "^4.0.3",
    "vuedraggable": "^4.1.0",
    "vuex": "^4.0.0",
    "x-sender": "^1.1.6"
  },
  "devDependencies": {
    "@types/three": "^0.174.0",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "@vitejs/plugin-vue": "^5.2.4",
    "@vue/eslint-config-typescript": "^9.1.0",
    "eslint": "^7.32.0",
    "eslint-plugin-vue": "^8.0.3",
    "less": "^4.1.3",
    "less-loader": "^11.0.0",
    "typescript": "~4.5.5",
    "unplugin-auto-import": "^19.3.0",
    "unplugin-element-plus": "^0.8.0",
    "unplugin-vue-components": "^28.7.0",
    "vite": "^6.3.5",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-lazyload": "^3.0.0-rc.2"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true,
      "browser": true,
      "es2021": true
    },
    "extends": [
      "plugin:vue/vue3-essential",
      "eslint:recommended",
      "@vue/typescript/recommended"
    ],
    "parser": "@typescript-eslint/parser",
    "parserOptions": {
      "ecmaVersion": 2020,
      "sourceType": "module"
    },
    "plugins": [
      "@typescript-eslint",
      "vue"
    ],
    "rules": {
      "@typescript-eslint/no-explicit-any": "off",
      "@typescript-eslint/no-unused-vars": "off",
      "vue/multi-word-component-names": "off"
    },
    "overrides": [
      {
        "files": [
          "*.vue"
        ],
        "parser": "vue-eslint-parser",
        "parserOptions": {
          "parser": "@typescript-eslint/parser"
        }
      }
    ]
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not ie 11"
  ]
}
